# sc::OneBodyIntCCA Class Reference

This implements one body integrals through the CCA interface. More...

`#include <obintcca.h>`

Inheritance diagram for sc::OneBodyIntCCA:

List of all members.

## Public Member Functions

| OneBodyIntCCA (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralEvaluatorFactory, IntegralFunction, bool)
void | compute_shell (int, int)
| Computes the integrals between basis functions in the given shell pair.
bool | cloneable ()
| Return true if the clone member can be called.
Ref< OneBodyInt > | clone ()
| Returns a clone of this.

## Protected Types

typedef void(sc::Int1eCCA::*) | IntegralFunction (int, int)

## Protected Attributes

Ref< sc::Int1eCCA > | int1ecca_
IntegralFunction | intfunc_

## Detailed Description

This implements one body integrals through the CCA interface.

It is given a function pointer to the IntCCA member that computes the particular integral of interest.

## Member Function Documentation

void sc::OneBodyIntCCA::compute_shell | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Computes the integrals between basis functions in the given shell pair.

Implements sc::OneBodyInt.

bool sc::OneBodyIntCCA::cloneable | ( |  | ) | `[virtual]`

Return true if the clone member can be called.

The default implementation returns false.

Reimplemented from sc::OneBodyInt.

Ref<OneBodyInt> sc::OneBodyIntCCA::clone | ( |  | ) | `[virtual]`

Returns a clone of this.

The default implementation throws an exception.

Reimplemented from sc::OneBodyInt.

The documentation for this class was generated from the following file:

- obintcca.h